Debian Bug report logs - #611891
please give apt.conf.d option to disable ipv6

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Marc Haber <mh+debian-bugs@zugschlus.de>

Date: Thu, 3 Feb 2011 11:33:01 UTC

Severity: wishlist

Found in version apt/0.8.10.3

Fixed in version apt/0.9.7.9~exp1

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#611891; Package apt. (Thu, 03 Feb 2011 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 03 Feb 2011 11:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please give apt.conf.d option to disable ipv6
Date: Thu, 03 Feb 2011 12:31:26 +0100
Package: apt
Version: 0.8.10.3
Severity: wishlist

Hi,

at home, I get IPv6 connectivity via a tunnel, which is (a) slow and
(b) uses third-party resources that are generously made available free
of charge. I don't want to overuse these resources while still
remainig able to use IPv6 for chatting and VPN purposes.

I therefore do _not_ want to disable IPv6 entirely, but I still do
want apt to do its download over the fast and cheap IPv4 link.

Please consider implementing an option to disable ipv6 for apt only.

Greetings
Marc




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#611891; Package apt. (Mon, 13 Aug 2012 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Rhodes <drubo@drubo.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 13 Aug 2012 03:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 611891@bugs.debian.org (full text, mbox):

From: Jesse Rhodes <drubo@drubo.net>
To: 611891@bugs.debian.org
Subject: APT::Get:: option to control ipv6 usage
Date: Sun, 12 Aug 2012 21:40:21 -0600
[Message part 1 (text/plain, inline)]
Dear apt maintainers/developers,

This:

> I therefore do _not_ want to disable IPv6 entirely, but I still do
> want apt to do its download over the [...] IPv4 link.
>
> has become a much more common situation than when this wishlist bug was
initially filed. (For corroboration, grep for ipv6 and ipv6 addresses in a
couple days's worth of #debian logs.) It will become even more common as
the ISPs and private networks of the world gradually meander through their
4-6 transitions. Wget has -6 and -4 options, and so does curl, after a
fashion. Can apt?

sney
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#611891; Package apt. (Thu, 21 Mar 2013 10:27:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to dick@lingbrae.com:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 21 Mar 2013 10:27:17 GMT) Full text and rfc822 format available.

Message #15 received at 611891@bugs.debian.org (full text, mbox):

From: Dick Middleton <dick@lingbrae.com>
To: 611891@bugs.debian.org
Subject: Half configured ipv6
Date: Thu, 21 Mar 2013 10:19:57 +0000
Hi,

	I've been hit by this as well.  For example RaspberryPi.org and their
repositories at raspbian.org have AAAA records in DNS but these addresses are
broken i.e. return nothing.  This is going to happen more often as sites
experiment with ipv6.  Ideally programs should fall-back gracefully to ipv4 if
ipv6 is not working.

Dick

-- 
Dick Middleton
dick@lingbrae.com




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#611891; Package apt. (Thu, 21 Mar 2013 16:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 21 Mar 2013 16:30:04 GMT) Full text and rfc822 format available.

Message #20 received at 611891@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: dick@lingbrae.com, 611891@bugs.debian.org
Subject: Re: Bug#611891: Half configured ipv6
Date: Thu, 21 Mar 2013 17:27:40 +0100
[Message part 1 (text/plain, inline)]
On Thu, Mar 21, 2013 at 10:19:57AM +0000, Dick Middleton wrote:
> Hi,
Hi,
 
> 	I've been hit by this as well.  For example RaspberryPi.org and their
> repositories at raspbian.org have AAAA records in DNS but these addresses are
> broken i.e. return nothing.  This is going to happen more often as sites
> experiment with ipv6.  Ideally programs should fall-back gracefully to ipv4 if
> ipv6 is not working.

The attached patch should make this work:
$ sudo apt-get install --force-ipv6 2vcard
or
$ sudo apt-get install 2vcard -o Acquire::ForceIPv4=true

I guess the open question is if we want a commandline switch or just a
config option and if "Acquire::ForceIPv{4,6}" is a good name.

Cheers,
 Michael
[force-ipv46.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#611891; Package apt. (Thu, 21 Mar 2013 17:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dick@lingbrae.com:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 21 Mar 2013 17:00:07 GMT) Full text and rfc822 format available.

Message #25 received at 611891@bugs.debian.org (full text, mbox):

From: Dick Middleton <dick@lingbrae.com>
To: Michael Vogt <mvo@debian.org>
Cc: 611891@bugs.debian.org
Subject: Re: Bug#611891: Half configured ipv6
Date: Thu, 21 Mar 2013 16:58:23 +0000
On 03/21/13 16:27, Michael Vogt wrote:
> On Thu, Mar 21, 2013 at 10:19:57AM +0000, Dick Middleton wrote:
>> Hi,

>> 	I've been hit by this as well.  For example RaspberryPi.org and their
>> repositories at raspbian.org have AAAA records in DNS but these addresses are
>> broken i.e. return nothing.  This is going to happen more often as sites
>> experiment with ipv6.  Ideally programs should fall-back gracefully to ipv4 if
>> ipv6 is not working.
> 
> The attached patch should make this work:
> $ sudo apt-get install --force-ipv6 2vcard
> or
> $ sudo apt-get install 2vcard -o Acquire::ForceIPv4=true
> 
> I guess the open question is if we want a commandline switch or just a
> config option and if "Acquire::ForceIPv{4,6}" is a good name.

Personally I think a config option is more useful.  FWIW I did discover this
morning that apt-cacher-ng has something similar:

acng.conf

# Specifies the IP protocol families to use for remote connections. Order does
# matter, first specified are considered first. Possible combinations:
# v6 v4
# v4 v6
# v6
# v4
# (empty or not set: use system default)
#
ConnectProto: v4 v6

However I don't think that apt-cacher falls back either if is there is no
response from ipv6 server. That would be best; we don't really want to force
things back on to ipv4 just because some ipv6 servers are broken.

The OP has a different issue of course.

Dick

-- 
Dick Middleton
dick@lingbrae.com




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#611891; Package apt. (Thu, 21 Mar 2013 17:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Rhodes <drubo@drubo.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 21 Mar 2013 17:06:05 GMT) Full text and rfc822 format available.

Message #30 received at 611891@bugs.debian.org (full text, mbox):

From: Jesse Rhodes <drubo@drubo.net>
To: dick@lingbrae.com
Cc: 611891@bugs.debian.org, Michael Vogt <mvo@debian.org>
Subject: Re: Bug#611891: Half configured ipv6
Date: Thu, 21 Mar 2013 11:03:37 -0600
[Message part 1 (text/plain, inline)]
Apt options like Acquire:: statements can be configured in apt.conf as well
as on the command line.
On Mar 21, 2013 11:00 AM, "Dick Middleton" <dick@lingbrae.com> wrote:

> On 03/21/13 16:27, Michael Vogt wrote:
> > On Thu, Mar 21, 2013 at 10:19:57AM +0000, Dick Middleton wrote:
> >> Hi,
>
> >>      I've been hit by this as well.  For example RaspberryPi.org and
> their
> >> repositories at raspbian.org have AAAA records in DNS but these
> addresses are
> >> broken i.e. return nothing.  This is going to happen more often as sites
> >> experiment with ipv6.  Ideally programs should fall-back gracefully to
> ipv4 if
> >> ipv6 is not working.
> >
> > The attached patch should make this work:
> > $ sudo apt-get install --force-ipv6 2vcard
> > or
> > $ sudo apt-get install 2vcard -o Acquire::ForceIPv4=true
> >
> > I guess the open question is if we want a commandline switch or just a
> > config option and if "Acquire::ForceIPv{4,6}" is a good name.
>
> Personally I think a config option is more useful.  FWIW I did discover
> this
> morning that apt-cacher-ng has something similar:
>
> acng.conf
>
> # Specifies the IP protocol families to use for remote connections. Order
> does
> # matter, first specified are considered first. Possible combinations:
> # v6 v4
> # v4 v6
> # v6
> # v4
> # (empty or not set: use system default)
> #
> ConnectProto: v4 v6
>
> However I don't think that apt-cacher falls back either if is there is no
> response from ipv6 server. That would be best; we don't really want to
> force
> things back on to ipv4 just because some ipv6 servers are broken.
>
> The OP has a different issue of course.
>
> Dick
>
> --
> Dick Middleton
> dick@lingbrae.com
>
> --
> To unsubscribe, send mail to 611891-unsubscribe@bugs.debian.org.
>
[Message part 2 (text/html, inline)]

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Fri, 22 Mar 2013 21:36:05 GMT) Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. (Fri, 22 Mar 2013 21:36:05 GMT) Full text and rfc822 format available.

Message #35 received at 611891-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 611891-close@bugs.debian.org
Subject: Bug#611891: fixed in apt 0.9.7.9~exp1
Date: Fri, 22 Mar 2013 21:32:49 +0000
Source: apt
Source-Version: 0.9.7.9~exp1

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611891@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Mar 2013 21:57:08 +0100
Source: apt
Binary: apt libapt-pkg4.12 libapt-inst1.5 apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.9.7.9~exp1
Distribution: experimental
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - commandline package manager
 apt-doc    - documentation for APT
 apt-transport-https - https download transport for APT
 apt-utils  - package managment related utility programs
 libapt-inst1.5 - deb package format runtime library
 libapt-pkg-dev - development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - documentation for APT development
 libapt-pkg4.12 - package managment runtime library
Closes: 611891 703240 703526 703603
Changes: 
 apt (0.9.7.9~exp1) experimental; urgency=low
 .
   [ Niels Thykier ]
   * test/libapt/assert.h, test/libapt/run-tests:
     - exit with status 1 on test failure
 .
   [ Daniel Hartwig ]
   * test/integration/framework:
     - continue after test failure but preserve exit status
 .
   [ Programs translation updates ]
   * Turkish (Mert Dirik). Closes: #703526
 .
   [ Colin Watson ]
   * methods/connect.cc:
     - provide useful error message in case of EAI_SYSTEM
       (closes: #703603)
 .
   [ Michael Vogt ]
   * add new config options "Acquire::ForceIPv4" and
     "Acquire::ForceIPv6" to allow focing one or the other
     (closes: #611891)
   * lp:~mvo/apt/fix-tagfile-hash:
     - fix false positives in pkgTagSection.Exists(), thanks to
       Niels Thykier for the testcase (closes: #703240)
     - this will require rebuilds of the clients as this used to
       be a inline function
Checksums-Sha1: 
 bcffa06485f3917e236d6e548516f4f4a7f88f4e 1715 apt_0.9.7.9~exp1.dsc
 a9e37235e48ae7f9341cbdbecd228e780454885b 3488814 apt_0.9.7.9~exp1.tar.gz
 629777b452fab02722f03c1949426b4c852cd271 289700 apt-doc_0.9.7.9~exp1_all.deb
 e090ad29d47ac2e548789efcf13f1cfb852e0160 962972 libapt-pkg-doc_0.9.7.9~exp1_all.deb
 8de535a8fd5bf7411f8d0553470f5947a7d7d1f2 897782 libapt-pkg4.12_0.9.7.9~exp1_amd64.deb
 522ace834c6e575b6ff6a2e7dffaf11b63099c8a 167432 libapt-inst1.5_0.9.7.9~exp1_amd64.deb
 1ca3ef7307f16c5ae5b5329a4ea62268f604d952 1319072 apt_0.9.7.9~exp1_amd64.deb
 ea3483f64a1309edb5816d0a6136b5a5e083b346 187512 libapt-pkg-dev_0.9.7.9~exp1_amd64.deb
 4a7a2ac33b33516e2d54f058ea7e7effbdec2833 389084 apt-utils_0.9.7.9~exp1_amd64.deb
 826256b6a9b462acc3c684646c5bbc6ed2017987 109410 apt-transport-https_0.9.7.9~exp1_amd64.deb
Checksums-Sha256: 
 f22d129a1b07fa38af4156e31ba23062c86f3d85066fa7c8f45a73f52dc7c516 1715 apt_0.9.7.9~exp1.dsc
 6257e82e37af933b7a3592634716a9f22d94c376464bf8e8fca493d66f7973a7 3488814 apt_0.9.7.9~exp1.tar.gz
 ca586acf50867568b5f67479cb7cf116e2dc9915afda06d4825036429cbcd009 289700 apt-doc_0.9.7.9~exp1_all.deb
 7053af5b57d5799195b10b2323783fcd2b32c75bcfe9ac8317891fa78cba21f9 962972 libapt-pkg-doc_0.9.7.9~exp1_all.deb
 02ef345dd4efbaa244b07ddd360dfb3d023f73a5ed3f3fb6948bdb49a604b1c6 897782 libapt-pkg4.12_0.9.7.9~exp1_amd64.deb
 8d72bd0305c4518363b4c41c55cc0aa16794fa94e4a7796ef0e68f444c37c496 167432 libapt-inst1.5_0.9.7.9~exp1_amd64.deb
 5cfdaf4a9f556bdbc9cffce31a1d7cf4a14fea8fecc550a53cbb56ee43d3e313 1319072 apt_0.9.7.9~exp1_amd64.deb
 3067a2101bc3ad94baa1b17a93fd37027cee2cbfd95f442ca1f81f003a468ab5 187512 libapt-pkg-dev_0.9.7.9~exp1_amd64.deb
 b528ac3003c8966ef90e16080098f2c9cccd6c42bfb53620fc8c1c066506a1c9 389084 apt-utils_0.9.7.9~exp1_amd64.deb
 5c9f2573a3d7f87249ce9cf432bba493a246070ecb766ed9c0d2f7136a3296bc 109410 apt-transport-https_0.9.7.9~exp1_amd64.deb
Files: 
 d4e4bfc2d0ad5489d3f4e013a9fdec5c 1715 admin important apt_0.9.7.9~exp1.dsc
 248cfcd979f1cdbd80e76b9756427415 3488814 admin important apt_0.9.7.9~exp1.tar.gz
 df077cf1cc7b7fee9dbc87034ddbd18f 289700 doc optional apt-doc_0.9.7.9~exp1_all.deb
 be97bbb98aaff2626a25f264b2fbb6a8 962972 doc optional libapt-pkg-doc_0.9.7.9~exp1_all.deb
 f709cf85c58948d8520f81299b110813 897782 libs important libapt-pkg4.12_0.9.7.9~exp1_amd64.deb
 0db70fb990f20d881848a6567a2da55a 167432 libs important libapt-inst1.5_0.9.7.9~exp1_amd64.deb
 be35ffd5a8f994deffb5850913676f74 1319072 admin important apt_0.9.7.9~exp1_amd64.deb
 612878ebdcd54fd1279e389bc09fe596 187512 libdevel optional libapt-pkg-dev_0.9.7.9~exp1_amd64.deb
 a86f2d4ddfbca9a1bde107307aa7439b 389084 admin important apt-utils_0.9.7.9~exp1_amd64.deb
 77cf3499931ac2cd02a96c3c5cffc6c4 109410 admin optional apt-transport-https_0.9.7.9~exp1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFMxz8ACgkQliSD4VZixzTpSACaAiG937Z3wPnA9fJG3ipcIowA
qUUAoIcMK7IbIU8uxPpLCEAHROwNeRBT
=UwKN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jun 2013 07:38:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:39:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.